import { environment } from '../../../../environments/environment';
import { Component, OnInit, OnDestroy } from '@angular/core';
import { NzMessageService } from 'ng-zorro-antd';
import { _HttpClient } from '@delon/theme';
import { HttpClient } from '@angular/common/http';
import * as moment from 'moment';
import { DeviceService } from '@business/services/http/device.service';

@Component({
    selector: 'statistics-analysis',
    templateUrl: './analysis.component.html',
    styleUrls: ['./analysis.component.less'],
    providers: [DeviceService]
})
export class AnalysisComponent implements OnInit, OnDestroy {

    offlineChartData1: any[] = [];
    offlineChartData2: any[] = [];

    constructor(
        private deviceService: DeviceService,
        private http: _HttpClient,
        public msg: NzMessageService,
        private http2: HttpClient) {
    }

    ngOnInit() {
        const offlineChartData1 = [];
        const offlineChartData2 = [];
        const params = {size: '24'};
        this.http2.get(environment.SERVER_BASH_URL + 'demo/compare', {params: params}).subscribe((res: any) => {
          res.forEach(data => {
            offlineChartData1.push({
              x: data.time,
              y1: data.this_month_PM2_5,
              y2: data.last_month_PM2_5
            });
            offlineChartData2.push({
              x: data.time,
              y1: data.this_month_PM10,
              y2: data.last_month_PM10
            });
          });
        });
//        for (let i = 0; i < 20; i += 1) {
//            offlineChartData1.push({
//                x: new Date().getTime() + 1000 * 60 * 30 * i,
//                y1: Math.floor(Math.random() * 100) + 10,
//                y2: Math.floor(Math.random() * 100) + 10
//            });
//            offlineChartData2.push({
//                x: new Date().getTime() + 1000 * 60 * 30 * i,
//                y1: Math.floor(Math.random() * 100) + 10,
//                y2: Math.floor(Math.random() * 100) + 10
//            });
//        }
        this.offlineChartData1 = offlineChartData1;
        this.offlineChartData2 = offlineChartData2;
    }

    ngOnDestroy(): void {
    }
}
